// swift-tools-version: 6.0
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "EcgSynKit",
    products: [
        // Products define the executables and libraries a package produces, making them visible to other packages.
        .library(
            name: "EcgSynKit",
            targets: ["EcgSynKit"]
        ),
    ],
    dependencies: [
        .package(url: "https://github.com/apple/swift-algorithms", from: "1.2.0"),
        .package(path: "./Packages/PFFFT/"),
    ],
    targets: [
        .target(
            name: "EcgSynKit",
            dependencies: [
                .product(name: "PFFFT", package: "PFFFT"),
                .product(name: "Algorithms", package: "swift-algorithms"),
            ]
        ),
        .testTarget(
            name: "EcgSynKitTests",
            dependencies: ["EcgSynKit"]
        ),
    ]
)
